﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using SOMAWP81;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=391641

namespace Interstitial_Ads
{
    public sealed partial class MainPage : Page
    {
        SomaInterstitialAd interstitialAd;

        public MainPage()
        {
            this.InitializeComponent();

            this.NavigationCacheMode = NavigationCacheMode.Required;

            // instantiate the Soma Interstitial Ad Class
            interstitialAd = new SomaInterstitialAd();

            // set the properties of the ad
            interstitialAd.Adspace = 0;
            interstitialAd.Pub = 0;
            interstitialAd.NewAdAvailable += interstitialAd_NewAdAvailable;
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

        void interstitialAd_NewAdAvailable(object sender, EventArgs e)
        {
            // display the ad
            interstitialAd.ShowInterstitial();
        }

        private void buttonGetAd_Click(object sender, RoutedEventArgs e)
        {
            // retrieve an ad
            interstitialAd.LoadInterstitial();
        }
    }
}
