﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using SOMAWP81;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=391641

namespace Presentation_Layer_Exec
{

    public sealed partial class MainPage : Page
    {
        SomaAdViewer somaAdViewer;

        public MainPage()
        {
            this.InitializeComponent();

            this.NavigationCacheMode = NavigationCacheMode.Required;
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            somaAdViewer = new SomaAdViewer();
            somaAdViewer.Adspace = 0;
            somaAdViewer.Pub = 0;
            somaAdViewer.PopupAd = true;

            somaAdViewer.AdInterval = 20000;  // request new ad every 20 seconds

            somaAdViewer.ShowErrors = true;

            ContentPanel.Children.Add(somaAdViewer);
            somaAdViewer.StartAds();
        }

    }
}
